# Asterisk Project : Asterisk 13 ManagerAction_ExtensionState

Created by wikibot on Aug 08, 2014

# ExtensionState

### Synopsis

Check Extension Status.

### Description

Report the extension state for given extension. If the extension has a hint, will use devicestate to check the status of the device connected to the extension.

Will return an `Extension Status` message. The response will include the hint for the extension and the status.

### Syntax

    Action: ExtensionState
    ActionID: <value>
    Exten: <value>
    Context: <value>

##### Arguments

- `ActionID` - ActionID for this transaction. Will be returned.
- `Exten` - Extension to check state on.
- `Context` - Context for extension.

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538